
var aInterval = [];
var iTimeoutDefault = 5 * 60;
var iTimeout = iTimeoutDefault;
var sVer = "1.0";

function pageCntrl_setInterval( func, millis ) {
  aInterval.push( setInterval(func, millis ) );
};

function pageCntrl_stop() {         
  console.log( 'stop page control (' + sVer + ')' );
  for( var i=0; i<aInterval.length; i++ ) {
    clearInterval( aInterval[ i ] );  
  }
};

function pageCntrl_refresh() {
  iTimeout = iTimeoutDefault ;
};

function pageCntrl_notify() {
  iTimeout -- ;
  document.getElementById( 'idRemainingTime' ).innerHTML = iTimeout ;
  if( iTimeout <= 0 ) {
    pageCntrl_stop();
  }
};

function pageCntrl_start() {
  console.log( 'start page control (' + sVer + ')' );
  pageCntrl_setInterval( pageCntrl_notify, 1000 );
};